summaryrefslogtreecommitdiff
path: root/helpers/lh_source_debian-live
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_source_debian-live')
-rwxr-xr-xhelpers/lh_source_debian-live73
1 files changed, 73 insertions, 0 deletions
diff --git a/helpers/lh_source_debian-live b/helpers/lh_source_debian-live
new file mode 100755
index 0000000..06f9d86
--- /dev/null
+++ b/helpers/lh_source_debian-live
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# lh_source_debian-live(1) - copy debian-live config into source
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="copy debian-live config into source"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "source_debian-live: Init"
+
+if [ "${LIVE_SOURCE}" != "enabled" ]
+then
+ exit 0
+fi
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/source_debian-live
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old sources
+if [ -d source/debian-live ]
+then
+ rm -rf source/debian-live
+fi
+
+# Copy system configuration
+mkdir -p source/debian-live
+cp -a config source/debian-live
+
+# Create tarball
+cd source
+tar cfz debian-live-config_`date +%Y%m%d.%s`.tar.gz debian-live
+cd "${OLDPWD}"
+
+rm -rf source/debian-live/config
+mv source/debian-live-config_*.tar.gz source/debian-live
+
+# Creating stage file
+Create_stagefile .stage/source_debian-live